# Class ServerEndpointConfig.Configurator

java.lang.Object
javax.websocket.server.ServerEndpointConfig.Configurator

Enclosing interface:
  `ServerEndpointConfig`

public static class ServerEndpointConfig.Configurator extends Object

## Constructor Summary

Constructors
Constructor
Description
`Configurator()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkOrigin(String originHeaderValue)`
`<T> T`
`getEndpointInstance(Class<T> clazz)`
`List<Extension>`
`getNegotiatedExtensions(List<Extension> installed, List<Extension> requested)`
`String`
`getNegotiatedSubprotocol(List<String> supported, List<String> requested)`
`void`
`modifyHandshake(ServerEndpointConfig sec, HandshakeRequest request, HandshakeResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Configurator

public Configurator()

## Method Details

### getNegotiatedSubprotocol

public String getNegotiatedSubprotocol(List<String> supported, List<String> requested)

### getNegotiatedExtensions

public List<Extension> getNegotiatedExtensions(List<Extension> installed, List<Extension> requested)

### checkOrigin

public boolean checkOrigin(String originHeaderValue)

### modifyHandshake

public void modifyHandshake(ServerEndpointConfig sec, HandshakeRequest request, HandshakeResponse response)

### getEndpointInstance

public <T> T getEndpointInstance(Class<T> clazz) throws InstantiationException

Throws:
  `InstantiationException`